Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.TreeTools
Class DirEntry

    java.lang.Object
      madkit.TreeTools.Entry
          madkit.TreeTools.DirEntry

All Implemented Interfaces:
  java.io.Serializable

    public class DirEntry

extends Entry

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `vect`

Fields inherited from class madkit.TreeTools.Entry
`dir, name, path, size, tmp`

Constructor Summary
`DirEntry()`
`DirEntry(java.lang.String path)`

Method Summary
`void` | `addDirEntry(DirEntry dir)`
`void` | `display(java.lang.String t)`
`java.lang.Object` | `getEntry(int index)`
`java.util.Vector` | `getVect()`
`int` | `getVectSize()`
`void` | `initialise(java.lang.String path)`
`long` | `isThereFile(java.lang.String path, java.lang.String s)`
`void` | `remDirEntry(int index)`
`void` | `setVect(java.util.Vector _vect)`

Methods inherited from class madkit.TreeTools.Entry
`getDate, getName, getNameFromPath, getPath, getSize, isDir, setDate, setDir, setName, setPath, setSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vect

    protected java.util.Vector vect

Constructor Detail

### DirEntry

    public DirEntry()

### DirEntry

    public DirEntry(java.lang.String path)

Method Detail

### initialise

    public void initialise(java.lang.String path)

### getVect

    public java.util.Vector getVect()

### setVect

    public void setVect(java.util.Vector _vect)

### addDirEntry

    public void addDirEntry(DirEntry dir)

### remDirEntry

    public void remDirEntry(int index)

### getEntry

    public java.lang.Object getEntry(int index)

### getVectSize

    public int getVectSize()

### isThereFile

    public long isThereFile(java.lang.String path,
                            java.lang.String s)

### display

    public void display(java.lang.String t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.